Bug 1029597 - Geo-replication not work, rsync command error.
Geo-replication not work, rsync command error.
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
3.4.1
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 12:14 EST by stephane.henry-ext
Modified: 2015-10-07 09:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 09:18:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stephane.henry-ext 2013-11-12 12:14:26 EST
Description of problem:
Faulty geo replication status after create it, on rhel5 64bit.
I think, it have missing quote for -e 's argument.

rsync -aR0 --files-from=- --super --numeric-ids --no-implied-dirs --sparse . -e ssh -oPasswordAuthentication=no -oStrictHostKeyChecking=no -i /var/lib/glusterd/geo-replication/secret.pem -oControlMaster=auto -S /tmp/gsyncd-aux-ssh-eiou5l/gsycnd-ssh-%r@%h:%p --compress srvSlave:/mnt/iso

Must be:
rsync -aR0 --files-from=- --super --numeric-ids --no-implied-dirs --sparse . -e 'ssh -oPasswordAuthentication=no -oStrictHostKeyChecking=no -i /var/lib/glusterd/geo-replication/secret.pem -oControlMaster=auto' -S /tmp/gsyncd-aux-ssh-eiou5l/gsycnd-ssh-%r@%h:%p --compress srvSlave:/mnt/iso


Version-Release number of selected component (if applicable): 3.4.1


How reproducible:

Steps to Reproduce:
1. master: gluster vol geo gfs_iso srvSlave:/mnt/iso start
2. master: gluster vol geo status
NODE                 MASTER        SLAVE                        STATUS
-------------------------------------------------------------------------------
PNSSADM01            gfs_iso       ssh://srvSlave:/mnt/iso      faulty
3. tailf /var/log/glusterfs/geo-replication/gfs_iso/............iso.log
Comment 1 Niels de Vos 2015-05-17 17:58:04 EDT
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.
Comment 2 Kaleb KEITHLEY 2015-10-07 09:18:06 EDT
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.

Note You need to log in before you can comment on or make changes to this bug.